> ## Documentation Index
> Fetch the complete documentation index at: https://docs.request.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new client ID

> Create a new client ID for frontend applications with domain restrictions



## OpenAPI

````yaml /api-reference/openapi.v2.json post /v2/client-ids
openapi: 3.0.0
info:
  title: Request Network API
  description: API for easily creating and paying Requests with Request Network.
  version: 0.13.0
  contact: {}
servers:
  - url: https://api.request.network
    description: Production server
  - url: https://api.stage.request.network
    description: Staging server
  - url: http://127.0.0.1:8080
    description: Local development server
security: []
tags:
  - name: V2/Request
    description: Core payment request operations (V2)
  - name: V2/Payments
    description: Payment search and management operations (V2)
  - name: V2/Payouts
    description: Pay a request without creating one first (V2)
  - name: V2/Payer
    description: Crypto-to-fiat payer management operations (V2)
  - name: V2/Currencies
    description: Currency operations (V2)
  - name: V2/Client IDs
    description: Client ID management (V2)
  - name: V2/Payee Destination
    description: Payee destination management (V2)
externalDocs:
  description: Request Network Docs
  url: https://docs.request.network/request-network-api
paths:
  /v2/client-ids:
    post:
      tags:
        - Client IDs
        - V2/Client IDs
      summary: Create a new client ID
      description: >-
        Create a new client ID for frontend applications with domain
        restrictions
      operationId: ClientIdV2Controller_create_v2
      parameters:
        - name: x-api-key
          in: header
          description: API key for authentication
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
                  minLength: 1
                  maxLength: 100
                allowedDomains:
                  type: array
                  items:
                    type: string
                    format: uri
                  minItems: 1
                  maxItems: 10
                  description: List of allowed domain origins (normalized)
                feePercentage:
                  type: string
                  minLength: 1
                  description: >-
                    Fee percentage (e.g., '1' = 1%, '2.5' = 2.5%, '2.55' =
                    2.55%). Maximum 2 decimal places. If set to '0', allows API
                    request fees to take precedence. If set to any other value,
                    overrides any fee passed via API.
                feeAddress:
                  type: string
                  description: >-
                    Wallet address to receive fees. Required if feePercentage is
                    set.
                operatorWalletAddress:
                  type: string
                  description: >-
                    Wallet address that will act as operator for commerce
                    payments. The API operator wallet will execute transactions
                    on behalf of this address. Can be a smart wallet that has
                    granted permissions to the API operator.
                defaultPreApprovalExpiry:
                  type: integer
                  exclusiveMinimum: true
                  description: >-
                    Default pre-approval expiry duration in seconds for commerce
                    transactions. If set, overrides the value passed in
                    /v2/commerce-payments/authorize/calldata endpoint.
                  minimum: 0
                defaultAuthorizationExpiry:
                  type: integer
                  exclusiveMinimum: true
                  description: >-
                    Default authorization expiry duration in seconds for
                    commerce transactions. If set, overrides the value passed in
                    /v2/commerce-payments/authorize/calldata endpoint.
                  minimum: 0
              required:
                - label
                - allowedDomains
            examples:
              basicClientId:
                summary: Client ID without fee configuration
                value:
                  label: My Client ID
                  allowedDomains:
                    - https://example.com
              clientIdWithFees:
                summary: Client ID with fee configuration
                value:
                  label: My Client ID with Fees
                  allowedDomains:
                    - https://example.com
                    - https://app.example.com
                  feePercentage: '2.5'
                  feeAddress: '0x6923831ACf5c327260D7ac7C9DfF5b1c3cB3C7D7'
      responses:
        '201':
          description: Client ID created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  clientId:
                    type: string
                  label:
                    type: string
                  allowedDomains:
                    type: array
                    items:
                      type: string
                  feePercentage:
                    type: string
                    nullable: true
                  feeAddress:
                    type: string
                    nullable: true
                  operatorWalletAddress:
                    type: string
                    nullable: true
                  defaultPreApprovalExpiry:
                    type: number
                    nullable: true
                  defaultAuthorizationExpiry:
                    type: number
                    nullable: true
                  status:
                    type: string
                  createdAt:
                    type: string
        '400':
          description: Bad request - validation failed
        '401':
          description: Unauthorized
        '429':
          description: Too Many Requests

````